Package Details: ats2-contrib 0.3.13-1

Git Clone URL: https://aur.archlinux.org/ats2-contrib.git (read-only)
Package Base: ats2-contrib
Description: Extra libraries for the ATS2 programming language
Upstream URL: http://www.ats-lang.org/
Licenses: GPL3
Submitter: bcdarwin
Maintainer: mdl (jonathon)
Last Packager: jonathon
Votes: 3
Popularity: 0.000000
First Submitted: 2014-10-11 16:07
Last Updated: 2019-04-13 11:30

Latest Comments

jonathon commented on 2017-11-17 22:21

I'm not sure how much longer this package is going to be needed... upstream is moving contrib files into the main ats2-postiats dist package (see e.g. https://groups.google.com/forum/#!topic/ats-lang-users/0r00LfWvx1I)

Lazarus555 commented on 2016-11-17 21:56

Add me as co-maintainer and i push it. ;-)

Lazarus555 commented on 2016-11-17 21:56

Here is an updated PKGBUILD for 0.2.11: http://pastebin.com/VRa7HM1m

jonathon commented on 2016-08-17 19:32

Righty; I'll try not to make a mess of it. :)

mdl commented on 2016-08-17 18:45

Feel free to update the package; I've added you as a co-maintainer.

jonathon commented on 2016-08-13 20:49

Would it be worth adding a depend on the same version of ats2-postiats, e.g. depends=('ats2-postiats=0.2.9') (or better, depends=("ats2-postiats=${pkgver}") ?

I don't think you need ats2-postiats as a makedepends if you have it in depends.

Work-for-me with tweaks for 0.2.9: http://pastie.org/10935694

mdl commented on 2015-07-05 23:13

Thanks, I've updated the package with the changes.

marsam commented on 2015-07-05 16:57

Hi, I've cleanup a bit the pkgbuild https://gist.github.com/0fb952f452d376e2de32

aggraef commented on 2014-10-21 08:54

By default, this package installs directly under /, which is a no-go.

You can't rely on PATSHOME being set when this package is being installed. So make ats2-contrib depend on ats2 (it will be needed anyway), and source /etc/profile.d/ats2.sh in your package routine.